Skip to main content
GET
/
api
/
consumer
/
{version}
/
referrer
/
dashboard
Get dashboard
curl --request GET \
  --url https://mention-me.com/api/consumer/{version}/referrer/dashboard
{
  "offer": {
    "id": 123,
    "localeCode": "<string>",
    "headline": "<string>",
    "description": "<string>",
    "callToAction": "<string>",
    "privacyNotice": "<string>",
    "privacyLink": "<string>",
    "referrerReward": {
      "description": "<string>",
      "summary": "<string>",
      "amount": "<string>"
    },
    "refereeReward": {
      "description": "<string>",
      "summary": "<string>",
      "amount": "<string>"
    }
  },
  "nameShare": {
    "name": "<string>",
    "referralCode": "<string>"
  },
  "shareLinks": [
    {
      "type": "<string>",
      "protocol": "<string>",
      "url": "<string>",
      "defaultShareMessage": "",
      "exampleImplementation": ""
    }
  ],
  "termsLinks": {
    "localeCode": "<string>",
    "linkToTermsInLocale": "<string>"
  },
  "referralStats": {
    "successfulReferrals": 0,
    "invitations": 0,
    "clicksOnInvites": 0
  },
  "referralRewards": [
    {
      "description": "<string>",
      "summary": "<string>",
      "amount": "<string>",
      "status": "<string>",
      "forReferring": {}
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.mention-me.com/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

version
enum<string>
required

Version

Available options:
v2,
v1
Pattern: v2|v1

Query Parameters

emailAddress
string
required

Email address of the referrer whose dashboard you require

request[authenticationToken]
string
required

This is a signature using a salted hash of the email address of the customer with a secret key, and validates the authenticity of the request.

For information on how to correctly generate this token, please see the documentation: https://developers.mention-me.com/docs/authentication-token-entry

request[partnerCode]
string
required

Your partner code, used to link to your users and offers

request[situation]
string
required

Situation - a string representing where in the application you are making this request

request[ipAddress]
string

IP address of the customer connection. If you're making a request on behalf of a customer, pass their IP address here. If the customer will connect directly, leave this empty and we will retrieve this from their request.

request[localeCode]
string

Locale code - ISO standard locale code (e.g. en_GB) for the locale you expect the content to be in

segment
string

Customer segment - a string containing segment data about this customer, e.g. vip or employee. You can concatenate multiple segments together if you wish using hyphens.

uniqueCustomerIdentifier
string

Customer Id - your unique identifier for this customer

request[userDeviceIdentifier]
string

User Device Identifier should be a unique reference to this combination of app + user.

request[deviceType]
string

Device type - your description of the device the user is using. We use this for performance and conversion optimisation.

request[appName]
string

Your application name. Used for reporting.

request[appVersion]
string

Your application version reference. Used for reporting and troubleshooting.

Response

Returned when successful

offer
Description of the offer and rewards. · object
nameShare
Name Share information: · object

Details about NameShare, including the name someone can search for and their referral code if available.

referralStats
Referral Stats. · object
referralRewards
Referral rewards - list of potential rewards they are due for introducing customers. · object[]
Last modified on March 31, 2026